-- encounters - train station

encounter_train_station = function ()
    el = {
        enc_train_station_1,
        enc_train_station_2,
        enc_train_station_3,
        enc_train_station_4,
        enc_train_station_5,
        enc_train_station_6,
        enc_train_station_7,
    }

    return el[rnd(7)]
end


-- "Старый грузчик Билл Вашингтон играет на гитаре в ожидании следующего поезда. Ты слушаешь его песни и словно исцеляешься. Получи 2 ед. здоровья и распредели между Телом и Разумом так как хочешь."
enc_train_station_1 = obj {
    nam = "encounter",
    dsc = [[Старый грузчик {Билл Вашингтон} играет на гитаре в ожидании следующего поезда.]],
    act = function (s)
        pn [[Я остановился, чтобы послушать его песни, и мне полегчало.]]
        my_health(1)
        my_sanity(1)
        objs():del(s)
    end
};

-- "На грузовой платформе твое внимание привлек большой ящик с занятной маркировкой. Пройди проверку скрытности (-1). Если пройдешь, то найдешь в ящике крайне непростой предмет. Возьми 1 уникальную вещь. При провале помощник шерифа Дингби ловит тебя при взломе. Ты арестован и направлен в Полицейский участок."
enc_train_station_2 = obj {
    nam = "encounter",
    dsc = [[На грузовой платформе я заметил {большой ящик} с занятной маркировкой.]],
    act = function (s)
        if check_skill( me().skills.agility, -1 ) then
            pn [[Незаметно вскрыв ящик, я обнаружил внутри 1 уникальную вещь.]]
        else
            pn [[Помощник шерифа Дингби поймал меня при взломе. Я был арестован и отправлен в Полицейский участок.]]
        end
        objs():del(s)
    end
};

-- "Отдай $3 станционному служащему, чтобы забрать предмет из Бюро находок. Если сделаешь это, пройди проверку Удачи (-2). Успех дает тебе уникальную вещь, провал дает тебе простую вещь."
enc_train_station_3 = obj {
    nam = "encounter",
    dsc = [[{Отдай $3 станционному служащему}, чтобы забрать предмет из Бюро находок.]],
    act = function (s)
        if check_skill( me().skills.luck, -2 ) then
            pn [[Мне досталась 1 уникальная вещь.]]
        else
            pn [[Мне досталась 1 простая вещь.]]
        end
        objs():del(s)
    end
};

-- "Незнакомец в тюрбане и с безумным выражением лица сошел с бостонского поезда. Пройди проверку удачи (-1). Пройдешь - незнакомец вынет из-под пальто странный предмет и отдаст его тебе. Возьми 1 уникальную вещь. При провале он выхватит отравленный клинок и ударит тебя. Брось кубик и потеряй столько единиц Тела, сколько выпало на кубике"
enc_train_station_4 = obj {
    nam = "encounter",
    dsc = [[{Незнакомец в тюрбане} и с безумным выражением лица сошел с бостонского поезда.]],
    act = function (s)
        if check_skill( me().skills.luck, -1 ) then
            pn [[Незнакомец вынет из-под пальто странный предмет и отдаст его тебе. Возьми 1 уникальную вещь.]]
        else
            pn [[Он выхватит отравленный клинок и ударит тебя. Брось кубик и потеряй столько единиц Тела, сколько выпало на кубике.]]
        end
        objs():del(s)
    end
};

-- "На платформе стоит человек в добротном костюме. Он оборачивается и приветствует тебя по имени. Хотя он и кажется смутно знакомым, ты не помнишь, чтобы когда-то с ним встречался. Затем он делает шаг вперед с платформы под скорый поезд. Пройди проверку Скорости (-2). Пройдешь - он исчезает, когда ты прыгнешь спасать его. Не пройдешь - он погибнет у тебя на глазах. Брось кубик. Сколько выпало, столько единиц урона получает твой Разум."
enc_train_station_5 = obj {
    nam = "encounter",
    dsc = [[На платформе стоит человек в добротном костюме. Он оборачивается и приветствует тебя по имени. Хотя он и кажется смутно знакомым, ты не помнишь, чтобы когда-то с ним встречался. {Затем он делает шаг вперед с платформы под скорый поезд.}]],
    act = function (s)
        if check_skill( me().skills.speed, -2 ) then
            pn [[он исчезает, когда ты прыгнешь спасать его]]
        else
            pn [[Не пройдешь - он погибнет у тебя на глазах. Брось кубик. Сколько выпало, столько единиц урона получает твой Разум.]]
        end
        objs():del(s)
    end
};

-- "Билл Вашингтон сгружает последние чемоданы с тележки на грузовик и предлагает тебя подвезти, открывая дверь. Примешь предложение - перейди в любую локацию или на любую улицу Аркхэма. Въехав в локацию, тут же иди на контакт."
enc_train_station_6 = obj {
    nam = "encounter",
    dsc = [[Билл Вашингтон сгружает последние чемоданы с тележки на грузовик и предлагает тебя {подвезти}, открывая дверь.]],
    act = function (s)
        pn [[Примешь предложение - перейди в любую локацию или на любую улицу Аркхэма. Въехав в локацию, тут же иди на контакт.]]
        objs():del(s)
    end
};


-- "Джой 'Крыса' жмется в тени вокзала и манит тебя к себе. У него есть кое-что на продажу. Заплати на $1 больше указанной цены, чтобы купить верхнюю карту из колоды простых вещей."
enc_train_station_7 = obj {
    nam = "encounter",
    dsc = [[Джой 'Крыса' жмется в тени вокзала и манит тебя к себе. У него есть {кое-что} на продажу.]],
    act = function (s)
        pn [[Заплати на $1 больше указанной цены, чтобы купить верхнюю карту из колоды простых вещей.]]
        objs():del(s)
    end
};

